hu.akarnokd.rxjava2.debug

## Class RxJavaAssemblyTracking

- java.lang.Object
- - hu.akarnokd.rxjava2.debug.RxJavaAssemblyTracking

    public final class RxJavaAssemblyTracking
    extends java.lang.Object

Utility class to enable and disable tracking of operator application (`source.map().filter()`) by capturing the current stacktrace (warning: very expensive!), have it in a debug-time accessible field (when walking the references in a debugger) and append it to exceptions passing by the regular `onError`.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `disable()` Disable the assembly tracking.
`static void` `enable()` Enable the assembly tracking.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### enable

    public static void enable()

Enable the assembly tracking.

#### disable

    public static void disable()

Disable the assembly tracking.